.main-container{
    min-width: 320px;
    margin: 0 auto;
    @media screen and (min-width: $tablet-breakpoint) {
        max-width: 992px;
    }
    @media screen and (min-width: $fullscreen-breakpoint) {
         max-width: 1200px;
    }
}

.content-container {
    padding-left: 10px;
    padding-right: 10px;
}

.main-page-bckgrd {
    background-image: url(../img/header/header_background.jpg);
    @include background-image;
    position: relative;
}
.header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    background-color: #27262A;
    padding-top: 30px;
    padding-bottom: 30px;
    @media screen and (min-width: $tablet-breakpoint) {
        display: grid;
        justify-items:stretch;
        align-items: center;
        grid-template-columns: 1fr 145px;
        grid-template-rows: 1fr 1fr;
        grid-template-areas: 
        "logo button"
        "menu menu";
    }
    @media screen and (min-width: $fullscreen-breakpoint) {
        background-color: inherit;
        grid-template-columns: 1fr 2fr 145px;
        grid-template-rows: 1fr;
        grid-template-areas: "logo menu button";
    }

    &__logo{
        display: flex;
        align-items: center;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 24px;
        line-height: 16px;
        grid-area: logo;
        &:hover{
            span{
            color: $hover-text-color;
            transition: 0.5s;
            }
            div{
                transition: 0.5s;
                background-image: url(../img/header/header_logo_hover.svg);
            }
        }
        span{
            display: none;
            color: $basic-color;
            @media screen and (min-width: $tablet-breakpoint) {
                display: block;     
              }
        }
        &_img{
            height: 43px;
            width: 41px;
            margin-right: 17px;
            background-image: url(../img/header/header_logo.svg);
            background-repeat: no-repeat;
            background-position: center;
        }
    }
    &__button{
        padding: 11px 28px;
        background-color: $basic-color;
        font-weight: bold;
        color: $light-text-color;
        grid-area: button;
        transition: 0.5s;
        @media screen and (min-width: $tablet-breakpoint) {
            font-size: 16px;
            padding: 10px 37px;
            &:hover{ 
                padding: 7px 35px;
            }
        }
        &:hover{
            background-color: $hover-text-color;
            color: $basic-color;
            border: 2px solid $basic-color;
            box-sizing: border-box;
            padding: 9px 26px;
        }
    }
    &__burger{
        display: block;
        position: relative;
        width: 26px;
        height: 21px;
        span{
            background-color: $light-text-color;
            position: absolute;
            width: 100%;
            height: 3px;
            left: 0;
            top: 9px;
            border-radius: 5px;
        }
        &::before, &::after{
            content: "";
            background-color: $light-text-color;
            position: absolute;
            height: 3px;
            border-radius: 5px;
            transition: 0.5s;
        }
        &::before{
            top:0;
            left: 11px;
            width: 15px;
        }
        &::after{
            bottom: 0;
            left: 0;
            width: 100%;
        }
        @media screen and (min-width: $tablet-breakpoint) {
            display: none;
          }
    }
}

.header__burger.active{
    &::before{
        transform: rotate(45deg);
        width: 100%;
        top: 10px;
        left: 0;
    }
    &::after{
        transform: rotate(-45deg);
        top: 10px;
    }
    span{
        transform: scale(0);
    }
}

.main-menu {
    max-width: 292px;
    margin: 0 auto;
    display: none;
    position: absolute;
    @include pseudo-element-center;
    top: 103px;
    grid-area: menu;
    z-index: 100;
    @media screen and (min-width: $tablet-breakpoint) {
        display: block;
        opacity: 1;
        max-width: inherit;
        position: static;
        transition: 0s;
    }
    &__list{
        display: flex;
        flex-direction: column;
        background-color: #333333;
        @media screen and (min-width: $tablet-breakpoint) {
            flex-direction: row;
            justify-content: center;
            background-color: #27262A;
        }
        @media screen and (min-width: $fullscreen-breakpoint) {
            background-color: inherit;
        }
        li {
            padding-top: 29px;
            padding-bottom: 21px;
            border-bottom: 2px solid #3d3c3ce1;
            position: relative;
            @media screen and (min-width: $tablet-breakpoint) {
                border-bottom: none;
                padding: 23px 23px 0 23px;
            }
            @media screen and (min-width: $fullscreen-breakpoint) {
                padding-top: 0;
                padding-bottom: 0;
            }
        }
    }
    &__link{
        font-size: 26px;
        line-height: 26px;
        color: $light-text-color;
        padding-left: 35px;
        @media screen and (min-width: $tablet-breakpoint) {
            padding-left: 0;
            font-weight: bold;
            font-size: 16px;
            line-height: 18px;
            color: $basic-color;
          }
        &:hover{
            color: $basic-color;
            transition: 0.5s;
            &::before{
                content: "";
                border-right: 8px solid $basic-color;
                height: 53px;
                position: absolute;
                left: 0;
                top: 15px;
                @media screen and (min-width: $tablet-breakpoint) {
                    display: none;
                  }
            }
            @media screen and (min-width: $tablet-breakpoint) {
                color: $hover-text-color;
              }
        } 
    }
}

.main-menu.active {
    display: block; 
}

